[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'matrix' (#rtl)

# operator :=(Tvector2_extended): Tvector4_extended

Allow assignment of two-dimensiona extended precision vector to four-dimensional extended precision vector

## Declaration

Source position: matrix.pp line 296

`operator operator :=(Tvector2_extended): Tvector4_extended(`
`const v: Tvector2_extended`
`):Tvector4_extended;`

## Description

This operator allows you to use a two-dimensional vector with extended precision values wherever a four-dimensional vector with extended precision is expected. The third and fourth dimensions are set to 0.0.

Documentation generated on: Feb 26 2014